{
  "name": "sp-codes.de",
  "version": "1.0.0",
  "description": "website for sp-codes.de",
  "scripts": {
    "minify-css": "uncss -n -H dist/ -o dist/css/main-*.css dist/**/*.html dist/**/**/*.html dist/**/**/**/*.html dist/**/**/**/**/*.html dist/**/**/**/**/**/*.html",
    "add-index": "cpx dist/de/index.html dist/ && replace-in-file sp-codes.de/de/ sp-codes.de/ dist/index.html",
    "start": "eleventy --serve --watch",
    "build": "eleventy && npm run minify-css && npm run add-index",
    "build:dev": "BUILD=dev eleventy && npm run minify-css && npm run add-index"
  },
  "author": "samuel-p",
  "repository": {
    "type": "git",
    "url": "https://git.sp-codes.de/samuel-p/sp-codes.de"
  },
  "optionalDependencies": {
    "browser-sync": "^3.0.2"
  },
  "devDependencies": {
    "@11ty/eleventy": "^2.0.1",
    "@11ty/eleventy-navigation": "^0.3.5",
    "@node-minify/core": "^8.0.6",
    "@node-minify/crass": "^8.0.6",
    "@node-minify/html-minifier": "^8.0.6",
    "@sardine/eleventy-plugin-tinyhtml": "^0.2.0",
    "cpx": "^1.5.0",
    "eleventy-plugin-rev": "^2.0.0",
    "eleventy-sass": "^2.2.4",
    "glob": "^10.4.3",
    "minify": "^11.3.0",
    "postcss": "^8.4.41",
    "replace-in-file": "^8.1.0",
    "sass": "^1.77.8",
    "uncss": "^0.17.3"
  },
  "dependencies": {
    "bootstrap": "^5.3.3"
  }
}
